Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor
Class BeanCacheMonitor

    java.lang.Object
      org.jboss.monitor.BeanCacheMonitor

All Implemented Interfaces:
  BeanCacheMonitorMBean, javax.management.MBeanRegistration

public class BeanCacheMonitor
extends Object
implements BeanCacheMonitorMBean, javax.management.MBeanRegistration

Version:
  $Revision: 1.9 $
Author:
  Simone Bordet, David Jencks
See Also:
  `Monitorable`

Constructor Summary
`BeanCacheMonitor()`

Method Summary
`BeanCacheSnapshot[]` | `getSnapshots()` Describe `getSnapshots` method here.
`Collection` | `listSnapshots()` The `listSnapshots` method returns a collection of BeanSnapshots showing the
`void` | `postDeregister()`
`void` | `postRegister(Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanCacheMonitor

    public BeanCacheMonitor()

Method Detail

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Throws:
    `Exception`

### postRegister

    public void postRegister(Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### getSnapshots

    public BeanCacheSnapshot[] getSnapshots()

  Describe `getSnapshots` method here.

  Specified by:
    `getSnapshots` in interface `BeanCacheMonitorMBean`
  Returns:
    a `BeanCacheSnapshot[]` value

### listSnapshots

    public Collection listSnapshots()
                             throws javax.management.JMException

  The `listSnapshots` method returns a collection of BeanSnapshots showing the

  Specified by:
    `listSnapshots` in interface `BeanCacheMonitorMBean`
  Returns:
    a `Collection` value
  Throws:
    `javax.management.JMException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.